Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# EaxMan.h File Reference

`#include <objbase.h>`
`#include "eax.h"`

Include dependency graph for EaxMan.h:

Go to the source code of this file.

## Compounds
struct | _DIFFRACTIONBOX
struct | _EMPOINT
struct | _LISTENERATTRIBUTES
struct | _MATERIALATTRIBUTES
struct | _SOURCEATTRIBUTES
## Defines
#define | COM_NO_WINDOWS_H
#define | CLSID_EAXMANAGER CLSID_EAX20_Manager
#define | IID_IEaxManager IID_EAX20_Manager
#define | EM_MAX_NAME 32
#define | EMFLAG_IDDEFAULT (-1)
#define | EMFLAG_IDNONE (-2)
#define | EMFLAG_LOCKPOSITION 1
#define | EMFLAG_LOADFROMMEMORY 2
#define | EMFLAG_NODIFFRACTION 4
#define | EMMATERIAL_OBSTRUCTS 1
#define | EMMATERIAL_OCCLUDES 3
#define | INTERFACE IEaxManager
#define | IEaxManager_QueryInterface(p, a, b) (p)->lpVtbl->QueryInterface(p,a,b)
#define | IEaxManager_AddRef(p) (p)->lpVtbl->AddRef(p)
#define | IEaxManager_Release(p) (p)->lpVtbl->Release(p)
#define | IEaxManager_GetDataSetSize(p, a, b) (p)->lpVtbl->GetDataSetSize(p,a,b)
#define | IEaxManager_LoadDataSet(p, a, b) (p)->lpVtbl->LoadDataSet(p,a,b)
#define | IEaxManager_FreeDataSet(p, a) (p)->lpVtbl->FreeDataSet(p,a)
#define | IEaxManager_GetListenerAttributes(p, a) (p)->lpVtbl->GetListenerAttributes(p,a)
#define | IEaxManager_GetSourceID(p, a, b) (p)->lpVtbl->GetSourceID(p,a,b)
#define | IEaxManager_GetSourceAttributes(p, a, b) (p)->lpVtbl->GetSourceAttributes(p,a,b)
#define | IEaxManager_GetSourceNumInstances(p, a, b) (p)->lpVtbl->GetSourceNumInstances(p,a,b)
#define | IEaxManager_GetSourceInstancePos(p, a, b, c) (p)->lpVtbl->GetSourceInstancePos(p,a,b,c)
#define | IEaxManager_GetEnvironmentID(p, a, b) (p)->lpVtbl->GetEnvironmentID(p,a,b)
#define | IEaxManager_GetEnvironmentAttributes(p, a, b) (p)->lpVtbl->GetEnvironmentAttributes(p,a,b)
#define | IEaxManager_GetMaterialID(p, a, b) (p)->lpVtbl->GetMaterialID(p,a,b)
#define | IEaxManager_GetMaterialAttributes(p, a, b) (p)->lpVtbl->GetMaterialAttributes(p,a,b)
#define | IEaxManager_GetGeometrySetID(p, a, b) (p)->lpVtbl->GetGeometrySetID(p,a,b)
#define | IEaxManager_GetListenerDynamicAttributes(p, a, b, c, d) (p)->lpVtbl->GetListenerDynamicAttributes(p,a,b,c,d)
#define | IEaxManager_GetSourceDynamicAttributes(p, a, b, c, d, e, f, g, h, i) (p)->lpVtbl->GetSourceDynamicAttributes(p,a,b,c,d,e,f,g,h,i)
#define | EM_OK 0
#define | EM_INVALIDID MAKE_HRESULT(1, FACILITY_ITF, 1)
#define | EM_IDNOTFOUND MAKE_HRESULT(1, FACILITY_ITF, 2)
#define | EM_FILENOTFOUND MAKE_HRESULT(1, FACILITY_ITF, 3)
#define | EM_FILEINVALID MAKE_HRESULT(1, FACILITY_ITF, 4)
#define | EM_VERSIONINVALID MAKE_HRESULT(1, FACILITY_ITF, 5)
#define | EM_INSTANCENOTFOUND MAKE_HRESULT(1, FACILITY_ITF, 6)
## Typedefs
typedef _EMPOINT | EMPOINT
typedef EMPOINT FAR * | LPEMPOINT
typedef _LISTENERATTRIBUTES | LISTENERATTRIBUTES
typedef LISTENERATTRIBUTES FAR * | LPLISTENERATTRIBUTES
typedef _SOURCEATTRIBUTES | SOURCEATTRIBUTES
typedef SOURCEATTRIBUTES FAR * | LPSOURCEATTRIBUTES
typedef _MATERIALATTRIBUTES | MATERIALATTRIBUTES
typedef MATERIALATTRIBUTES FAR * | LPMATERIALATTRIBUTES
typedef _DIFFRACTIONBOX | DIFFRACTIONBOX
typedef DIFFRACTIONBOX FAR * | LPDIFFRACTIONBOX
typedef IEaxManager * | LPEAXMANAGER
typedef HRESULT(__stdcall * | LPEAXMANAGERCREATE )(LPEAXMANAGER *)
## Functions
| DEFINE_GUID (CLSID_EAX20_Manager, 0x60b721a1, 0xf7c8, 0x11d2, 0xa0, 0x2e, 0x0, 0x50, 0x4, 0x6, 0x18, 0xb8)
| DEFINE_GUID (IID_EAX20_Manager, 0x60b721a2, 0xf7c8, 0x11d2, 0xa0, 0x2e, 0x0, 0x50, 0x4, 0x6, 0x18, 0xb8)
HRESULT __stdcall | EaxManagerCreate (LPEAXMANAGER *)
| DECLARE_INTERFACE_ (IEaxManager, IUnknown)

## Define Documentation

#define CLSID_EAXMANAGER CLSID_EAX20_Manager

#define COM_NO_WINDOWS_H

#define EM_FILEINVALID MAKE_HRESULT(1, FACILITY_ITF, 4)

#define EM_FILENOTFOUND MAKE_HRESULT(1, FACILITY_ITF, 3)

#define EM_IDNOTFOUND MAKE_HRESULT(1, FACILITY_ITF, 2)

#define EM_INSTANCENOTFOUND MAKE_HRESULT(1, FACILITY_ITF, 6)

#define EM_INVALIDID MAKE_HRESULT(1, FACILITY_ITF, 1)

#define EM_MAX_NAME 32

#define EM_OK 0

#define EM_VERSIONINVALID MAKE_HRESULT(1, FACILITY_ITF, 5)

#define EMFLAG_IDDEFAULT (-1)

#define EMFLAG_IDNONE (-2)

#define EMFLAG_LOADFROMMEMORY 2

#define EMFLAG_LOCKPOSITION 1

#define EMFLAG_NODIFFRACTION 4

#define EMMATERIAL_OBSTRUCTS 1

#define EMMATERIAL_OCCLUDES 3

#define IEaxManager_AddRef | ( | p |  | ) | (p)->lpVtbl->AddRef(p)

#define IEaxManager_FreeDataSet | ( | p,
|  | a |  | ) | (p)->lpVtbl->FreeDataSet(p,a)

#define IEaxManager_GetDataSetSize | ( | p,
|  | a,
|  | b |  | ) | (p)->lpVtbl->GetDataSetSize(p,a,b)

#define IEaxManager_GetEnvironmentAttributes | ( | p,
|  | a,
|  | b |  | ) | (p)->lpVtbl->GetEnvironmentAttributes(p,a,b)

#define IEaxManager_GetEnvironmentID | ( | p,
|  | a,
|  | b |  | ) | (p)->lpVtbl->GetEnvironmentID(p,a,b)

#define IEaxManager_GetGeometrySetID | ( | p,
|  | a,
|  | b |  | ) | (p)->lpVtbl->GetGeometrySetID(p,a,b)

#define IEaxManager_GetListenerAttributes | ( | p,
|  | a |  | ) | (p)->lpVtbl->GetListenerAttributes(p,a)

#define IEaxManager_GetListenerDynamicAttributes | ( | p,
|  | a,
|  | b,
|  | c,
|  | d |  | ) | (p)->lpVtbl->GetListenerDynamicAttributes(p,a,b,c,d)

#define IEaxManager_GetMaterialAttributes | ( | p,
|  | a,
|  | b |  | ) | (p)->lpVtbl->GetMaterialAttributes(p,a,b)

#define IEaxManager_GetMaterialID | ( | p,
|  | a,
|  | b |  | ) | (p)->lpVtbl->GetMaterialID(p,a,b)

#define IEaxManager_GetSourceAttributes | ( | p,
|  | a,
|  | b |  | ) | (p)->lpVtbl->GetSourceAttributes(p,a,b)

#define IEaxManager_GetSourceDynamicAttributes | ( | p,
|  | a,
|  | b,
|  | c,
|  | d,
|  | e,
|  | f,
|  | g,
|  | h,
|  | i |  | ) | (p)->lpVtbl->GetSourceDynamicAttributes(p,a,b,c,d,e,f,g,h,i)

#define IEaxManager_GetSourceID | ( | p,
|  | a,
|  | b |  | ) | (p)->lpVtbl->GetSourceID(p,a,b)

#define IEaxManager_GetSourceInstancePos | ( | p,
|  | a,
|  | b,
|  | c |  | ) | (p)->lpVtbl->GetSourceInstancePos(p,a,b,c)

#define IEaxManager_GetSourceNumInstances | ( | p,
|  | a,
|  | b |  | ) | (p)->lpVtbl->GetSourceNumInstances(p,a,b)

#define IEaxManager_LoadDataSet | ( | p,
|  | a,
|  | b |  | ) | (p)->lpVtbl->LoadDataSet(p,a,b)

#define IEaxManager_QueryInterface | ( | p,
|  | a,
|  | b |  | ) | (p)->lpVtbl->QueryInterface(p,a,b)

#define IEaxManager_Release | ( | p |  | ) | (p)->lpVtbl->Release(p)

#define IID_IEaxManager IID_EAX20_Manager

#define INTERFACE IEaxManager

## Typedef Documentation

typedef struct _DIFFRACTIONBOX DIFFRACTIONBOX

typedef struct _EMPOINT EMPOINT

typedef struct _LISTENERATTRIBUTES LISTENERATTRIBUTES

typedef DIFFRACTIONBOX FAR* LPDIFFRACTIONBOX

typedef struct IEaxManager* LPEAXMANAGER

typedef HRESULT(__stdcall * LPEAXMANAGERCREATE)(LPEAXMANAGER*)

typedef EMPOINT FAR* LPEMPOINT

typedef LISTENERATTRIBUTES FAR* LPLISTENERATTRIBUTES

typedef MATERIALATTRIBUTES FAR* LPMATERIALATTRIBUTES

typedef SOURCEATTRIBUTES FAR* LPSOURCEATTRIBUTES

typedef struct _MATERIALATTRIBUTES MATERIALATTRIBUTES

typedef struct _SOURCEATTRIBUTES SOURCEATTRIBUTES

## Function Documentation

DECLARE_INTERFACE_ | ( | IEaxManager | ,
|  | IUnknown |
| ) |

DEFINE_GUID | ( | IID_EAX20_Manager | ,
|  | 0x60b721a2 | ,
|  | 0xf7c8 | ,
|  | 0x11d2 | ,
|  | 0xa0 | ,
|  | 0x2e | ,
|  | 0x0 | ,
|  | 0x50 | ,
|  | 0x4 | ,
|  | 0x6 | ,
|  | 0x18 | ,
|  | 0xb8 |
| ) |

DEFINE_GUID | ( | CLSID_EAX20_Manager | ,
|  | 0x60b721a1 | ,
|  | 0xf7c8 | ,
|  | 0x11d2 | ,
|  | 0xa0 | ,
|  | 0x2e | ,
|  | 0x0 | ,
|  | 0x50 | ,
|  | 0x4 | ,
|  | 0x6 | ,
|  | 0x18 | ,
|  | 0xb8 |
| ) |

HRESULT __stdcall EaxManagerCreate | ( | LPEAXMANAGER * |  | ) |